summaryrefslogtreecommitdiff
path: root/dev-python/s3transfer
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-09-24 16:55:33 -0500
committerCrucible <crucible@localhost>2026-09-24 16:55:33 -0500
commit6295f37a70d50a32011b5a1ee7793fea329cd5f2 (patch)
tree11a38d28475be98b7cf8226e8aa2a95aeb7d771e /dev-python/s3transfer
parent2c54208beece2b6a1243a50c850e195d1a42d716 (diff)
downloadsrcux-6295f37a70d50a32011b5a1ee7793fea329cd5f2.tar.gz
srcux-6295f37a70d50a32011b5a1ee7793fea329cd5f2.tar.xz
srcux-6295f37a70d50a32011b5a1ee7793fea329cd5f2.zip
Publish srcux candidate 0000000383-20260924-165302
Diffstat (limited to 'dev-python/s3transfer')
-rw-r--r--dev-python/s3transfer/Manifest1
-rw-r--r--dev-python/s3transfer/s3transfer-0.18.0.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/s3transfer/Manifest b/dev-python/s3transfer/Manifest
index a077357bdab8..4322e55001fd 100644
--- a/dev-python/s3transfer/Manifest
+++ b/dev-python/s3transfer/Manifest
@@ -1 +1,2 @@
+DIST s3transfer-0.18.0.tar.gz 160560 BLAKE2B dac8d96e8bb37cd5fe12a0777825c233015332482be0fd4ab718a0866569b309bc89f5b62d32c948da6935df06c8f46ff9a20b558271c9a36737a41140e42b39 SHA512 b9ffc2c01ff254203f7a909dc9e5c860708a49ded3763ce9f9bfc922a032f4f69db6a057765c48b087e060d9efed8b367bc04a71b5f3c36c1930bb43db533d76
DIST s3transfer-0.19.2.tar.gz 165592 BLAKE2B c381e6884ee77c724e41ed19423fea00ebef150bf53a31496881cc7645b60033ec57731bb8e11604fed0331fcb4e3f5d6910c4ef113d959f96c28ff9f3ca3248 SHA512 acebc3b7447f2e14274fe9b8230a135ba42a7e0ad82b1f7f6e1ff57ebe10d6afdc4ea31b59c9b89e4d4112eff8a5fc34c4425f8e6d284a791d5bb8926d1f262c
diff --git a/dev-python/s3transfer/s3transfer-0.18.0.ebuild b/dev-python/s3transfer/s3transfer-0.18.0.ebuild
new file mode 100644
index 000000000000..d84042f3fda2
--- /dev/null
+++ b/dev-python/s3transfer/s3transfer-0.18.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An Amazon S3 Transfer Manager"
+HOMEPAGE="
+ https://github.com/boto/s3transfer/
+ https://pypi.org/project/s3transfer/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~loong ppc ppc64 ~riscv ~sparc x86"
+
+RDEPEND="
+ <dev-python/botocore-2[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.37.4[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+}
+
+python_test() {
+ epytest tests/{unit,functional}
+}